Bug 217482 - net/py-uritemplate: Create py3- variant
Summary: net/py-uritemplate: Create py3- variant
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks: 217484
  Show dependency treegraph
 
Reported: 2017-03-01 23:11 UTC by Danilo G. Baio
Modified: 2017-11-30 17:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
py-uritemplate-py3.patch (1.02 KB, patch)
2017-03-01 23:11 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2017-03-01 23:11:03 UTC
Created attachment 180421 [details]
py-uritemplate-py3.patch

- Create python3 version of net/py-uritemplate

This new port is required to fulfill the Python 3+ dependencies to the new port gitsome.

I didn't include an entry in net/Makefile for it not get conflicted with the other patches.

[Q/A]

portlint (net/py-uritemplate): OK (looks fine.)

testport (net/py-uritemplate and net/py3-uritemplate):
   poudriere i386|amd64 10.3 p17     (OK)
   poudriere i386|amd64 11   p8      (OK)
   poudriere i386|amd64 12   r314365 (OK)
Comment 1 Danilo G. Baio freebsd_committer 2017-11-30 17:14:49 UTC
Closing this PR, now we have flavors... ports r455210